{
  TFile* f = new TFile("pygen_sim_01_test04_test2.root");
  TTree *tree=(TTree *) f->Get("cbmsim") ;
  TGeoManager *geoMan = (TGeoManager*) f->Get("CBMGeom");


  TClonesArray* fMdt=new TClonesArray("PndMdtPoint");
  tree->SetBranchAddress("MdtPoint",&fMdt);

  TClonesArray* fMC=new TClonesArray("CbmMCTrack");
  tree->SetBranchAddress("MCTrack",&fMC);

  Int_t NEvents = (Int_t) tree->GetEntriesFast();
  cout<<"N. of events: "<<NEvents<<endl;

  // Loop on events
  for (Int_t js=0; js<NEvents; js++){
    cout<<"Event "<<js<<endl;
    tree->GetEntry(js);
    // Dimension of arrays
    cout<<"fMC->GetEntriesFast()   "<<fMC->GetEntriesFast()<<endl;
    Int_t NPoints = (Int_t) fMdt->GetEntries();
    cout<<"fMdt->GetEntriesFast()   "<<fMdt->GetEntriesFast()<<endl;
    Int_t pmp_tid = fMC->GetEntriesFast();
    cout<<"N. of hits: "<<NPoints<<endl;

    // Loop on the tracks
    for (Int_t trk_loop=0; trk_loop<pmp_tid; trk_loop++){
      CbmMCTrack* track = (CbmMCTrack*)fMC->At(trk_loop);
      cout<<trk_loop<<"    Pid "<<track->GetPdgCode()<<endl;
      // 1) position in the array
      // 2) PID of the track

    } // end loop trk
    
    cout<<endl;

  } // end loop on events


}
